## python-whey 0.0.24

=== requirements.txt ===
click>=7.1.2
consolekit>=1.4.1
dist-meta>=0.1.0
dom-toml>=0.4.0
domdf-python-tools>=2.8.0
handy-archives>=0.1.0
natsort>=7.1.1
packaging>=20.9
pyproject-parser>=0.6.0
shippinglabel>=0.16.0

=== doc-source/requirements.txt ===
git+https://github.com/domdfcoding/sphinx-click.git
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental.git
default-values>=0.5.0
extras-require>=0.2.0
furo>=2020.11.19b18
html-section>=0.1.0
seed-intersphinx-mapping>=0.3.1
sphinx>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.1.0
sphinx-licenseinfo>=0.1.1
sphinx-notfound-page>=0.7.1
sphinx-packaging>=0.1.0
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.0.0
sphinxemoji>=0.1.6
toctree-plus>=0.5.0

=== tests/requirements.txt ===
git+https://github.com/repo-helper/pyproject-examples
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
editables>=0.2
importlib-metadata>=3.6.0
iniconfig!=1.1.0,>=1.0.1
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2
re-assert>=1.1.0
whey-conda>=0.1.0
whey-pth>=0.0.4

=== debian/changelog ===
python-whey (0.0.24-2) unstable; urgency=medium

  * Team upload
  * Recover error on nondigit SOURCE_DATE_EPOCH

 -- Bastian Germann <bage@debian.org>  Fri, 16 Feb 2024 22:37:23 +0000

python-whey (0.0.24-1) unstable; urgency=medium

  * Initial release. (Closes: #1021204)

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 27 Dec 2023 16:18:43 +0800

=== debian/control ===
Source: python-whey
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bo YU <tsu.yubo@gmail.com>,
           Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-attr,
               python3-click,
               python3-click-package,
               python3-coincidence,
               python3-consolekit,
               python3-coverage,
               python3-dist-meta,
               python3-dom-toml,
               python3-domdf-python-tools,
               python3-editables,
               python3-handy-archives,
               python3-importlib-metadata,
               python3-iniconfig,
               python3-natsort,
               python3-packaging,
               python3-pyproject-examples,
               python3-pyproject-metadata,
               python3-pyproject-parser,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-datadir,
               python3-pytest-regressions,
               python3-pytest-timeout,
               python3-setuptools,
               python3-shippinglabel,
               python3-toml,
               txt2man
Standards-Version: 4.6.2
Homepage: https://github.com/repo-helper/whey
Vcs-Git: https://salsa.debian.org/python-team/packages/whey.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/whey
Testsuite: autopkgtest-pkg-pybuild

Package: python3-whey
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: simple Python wheel builder for simple projects
 The Whey project is a powerful Python tool that simplifies the process of
 creating and distributing high-performance Python packages, especially
 designed for those using Cython for compilation. With support for the latest
 PEPs, Whey offers a comprehensive solution for building and packaging advanced
 Python projects.
 .
 some of the main features of the Whey project:
   - PEP 621 metadata support:
        Whey incorporates metadata as specified by PEP 621, allowing efficient
        management of dependencies in Python projects.
   - PEP 517 Can be used as a backend build:
        As a PEP 517 backend, Whey offers flexibility in building projects,
        including those that rely on Cython for compiling C/C++ extensions.
   - PEP 427 creates wheels:
        Whey has the ability to create wheels, as defined by PEP 427. This is
        particularly relevant for projects using Cython, as wheels are binary
        packages, providing efficiency in packaging and distribution.
    - Handles hint type files (py.typed and .pyi stubs):
        Whey understands and properly handles hint type files such as py.typed
        and *.pyi stubs. Although not directly linked to Cython, this capability
        is crucial for modern projects that make use of type annotations to
        improve static analysis and documentation.

## python-whey 0.1.1

=== requirements.txt ===
attrs>=22.2.0
click>=7.1.2
consolekit>=1.4.1
dist-meta>=0.1.0
dom-toml>=2.0.0
domdf-python-tools>=2.8.0
handy-archives>=0.2.0
natsort>=7.1.1
packaging>=20.9
pyproject-parser>=0.11.0
shippinglabel>=0.16.0

=== tests/requirements.txt ===
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
editables>=0.2
importlib-metadata>=3.6.0
iniconfig!=1.1.0,>=1.0.1
pyproject-examples@ https://github.com/repo-helper/pyproject-examples/archive/refs/heads/master.zip
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2
re-assert>=1.1.0
whey-conda>=0.1.0
whey-pth>=0.0.4

=== debian/changelog ===
python-whey (0.1.1-3) unstable; urgency=medium

  * Team Upload
  * Drop python3-toml build-dep

 -- Alexandre Detiste <tchet@debian.org>  Sun, 27 Jul 2025 12:42:50 +0200

python-whey (0.1.1-2) unstable; urgency=medium

  * Team Upload
  * Drop build-dep on python3-importlib-metadata
  * Update Vcs tags .../whey -> .../python-whey

  [ Bo YU ]
  * Flag nocheck on test dependences

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 18:13:57 +0200

python-whey (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1
  * debian/manpage/whey.1: Update version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 25 May 2024 00:27:33 -0300

python-whey (0.1.0-2) unstable; urgency=medium

  * debian/patches: Skipped tests for build

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 18 May 2024 22:08:56 -0300

python-whey (0.1.0-1) UNRELEASED; urgency=medium

  [ Bo YU ]
  * New upstream version 0.1.0
  * Rebase debian/patches/* based on new upstream release
  * Set std-ver to 4.7.0
  * Add debian/gbp.conf
  * Update manpage for whey

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 04 May 2024 17:07:43 +0800

python-whey (0.0.26-1) unstable; urgency=medium

  * New upstream version 0.0.26 (closes:#1066308)
  * debian/manpage/whey.1: Version updade
  * debian/patches: Update with new version

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Apr 2024 13:31:57 -0300

=== debian/control ===
--- 
+++ 
@@ -6,40 +6,38 @@
            Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-attr,
                python3-click,
                python3-click-package,
-               python3-coincidence,
+               python3-coincidence <!nocheck>,
                python3-consolekit,
-               python3-coverage,
+               python3-coverage <!nocheck>,
                python3-dist-meta,
                python3-dom-toml,
                python3-domdf-python-tools,
-               python3-editables,
+               python3-editables <!nocheck>,
                python3-handy-archives,
-               python3-importlib-metadata,
-               python3-iniconfig,
+               python3-iniconfig <!nocheck>,
                python3-natsort,
                python3-packaging,
                python3-pyproject-examples,
                python3-pyproject-metadata,
                python3-pyproject-parser,
-               python3-pytest,
-               python3-pytest-cov,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                python3-pytest-datadir,
                python3-pytest-regressions,
-               python3-pytest-timeout,
+               python3-pytest-timeout <!nocheck>,
                python3-setuptools,
                python3-shippinglabel,
-               python3-toml,
                txt2man
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/repo-helper/whey
-Vcs-Git: https://salsa.debian.org/python-team/packages/whey.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/whey
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-whey.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-whey
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-whey

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

#set whey.txt version and date automatically when building.
VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installman:
	txt2man -s 1 -v "whey" -t "whey" \
	-r "$(VERSION)" -d "$(DEBDATE)" debian/manpage/whey.txt > debian/manpage/whey.1

=== debian/tests/control ===
Tests: python3-whey
Depends: python3-all,
         python3-pytest,
         python3-setuptools,
         @

=== debian/watch ===
version=4
https://github.com/repo-helper/whey/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
